# == Class: vim
#
# Puppet module to install, deploy and configure vim.
#
class vim (
  $package          = true,
  $vim_package_name = $vim::params::vim_package_name,
  $vim_config       = $vim::params::vim_config
) inherits vim::params {
  case $package {
    true    : { $ensure_package = 'present' }
    false   : { $ensure_package = 'purged' }
    latest  : { $ensure_package = 'latest' }
    default : { fail('package must be true, false or lastest') }
  }

  package { $vim_package_name:
    ensure => $ensure_package,
  }

  file { $vim_config:
    ensure  => present,
    path    => $vim_config,
    owner   => 'root',
    group   => 'root',
    mode    => '0644',
    content => template('vim/vimrc.erb'),
    require => Package[$vim_package_name],
  }
}
# EOF
