# == Class: vim::params
#
# This is a container class holding default parameters for vim module.
#
class vim::params {
  case $::operatingsystem {
    /(?i:debian|devuan|ubuntu)/: {
      $vim_package_name = 'vim'
      $vim_config       = '/etc/vim/vimrc'
    }
    /(?i:centos|fedora|redhat)/: {
      $vim_package_name = 'vim-enhanced'
      $vim_config       = '/etc/vimrc'
    }
    default                    : {
      fail("Module ${module_name} is not supported on ${::operatingsystem}")
    }
  }
}
# EOF
